Bug 668823 - Review Request: rubygem-text-format - Text::Format formats fixed-width text nicely
Summary: Review Request: rubygem-text-format - Text::Format formats fixed-width text ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Minnikhanov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-11 17:49 UTC by Mo Morsi
Modified: 2011-02-04 17:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-04 17:03:37 UTC
minnikhanov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
rpmlint log for rubygem-text-format. (4.21 KB, text/plain)
2011-02-02 19:11 UTC, Minnikhanov
no flags Details

Description Mo Morsi 2011-01-11 17:49:13 UTC
Spec URL: http://mo.morsi.org/files/rpms/rubygem-text-format.spec
SRPM URL: http://mo.morsi.org/files/rpms/rubygem-text-format-1.0.0-1.fc14.src.rpm

Description: 
Text::Format is provides the ability to nicely format fixed-width text with
knowledge of the writeable space (number of columns), margins, and indentation
settings. Text::Format can work with either TeX::Hyphen or Text::Hyphen to
hyphenate words when formatting.

Comment 1 Minnikhanov 2011-01-28 17:54:14 UTC
Some notes:

* License
- Must be pick up one or set another by LICENSE file.

* BuildRoot
- On Fedora BuildRoot line is no longer needed:
https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

* %install
- rm -rf %{buildroot} at the beginning of %install isn't needed and
should be removed
- Gems have permission 664, need 'chmod 644'

* %check
- Feel free run test suite in a %check section in the rpm

* %clean
- %clean section is no longer needed (on Fedora):
https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

* %files
 - Should use only the defined %geminstdir macro in %files.

* documents / -doc subpackage
- Please consider to split document files (which are not
needed on runtime) to -doc subpackage.
The following files/directories can be moved to -doc subpackage
------------------------------------------------------
%{gemdir}/doc/%{gemname}-%{version}/
%{geminstdir}/Changelog
%{geminstdir}/tests/
%{geminstdir}/Rakefile
------------------------------------------------------

* rpmbuild log:
------------------------------------------------------
...
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
warning: File listed
twice: /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/Changelog
warning: File listed
twice: /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/Install
warning: File listed
twice: /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/README
+ umask 022
+ cd /home/pkg/rpmbuild/BUILD
+ rm
-rf /home/pkg/rpmbuild/BUILDROOT/rubygem-text-format-1.0.0-1.fc14.x86_64
+ exit 0
------------------------------------------------------

* rpmlint log:
------------------------------------------------------
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Number/%5b%5d-i.yaml %5b
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Number/%5b%5d-i.yaml %5d
rubygem-text-format.noarch: E:
zero-length /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/metaconfig
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Alpha/%5b%5d-i.yaml %5b
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Alpha/%5b%5d-i.yaml %5d
rubygem-text-format.noarch: W:
hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc
rubygem-text-format.noarch: W:
hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/right_align%3f-i.yaml %3f
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Roman/%5b%5d-i.yaml %5b
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Roman/%5b%5d-i.yaml %5d
rubygem-text-format.noarch: E:
non-executable-script /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/Rakefile 0644L /usr/bin/env
rubygem-text-format.noarch: E:
wrong-script-end-of-line-encoding /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/Rakefile
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/%3d%3d-i.yaml %3d
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/%3d%3d-i.yaml %3d
rubygem-text-format.noarch: W:
file-not-utf8 /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/README
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/justify%3f-i.yaml %3f
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/right_fill%3f-i.yaml %3f
rubygem-text-format.noarch: E:
non-executable-script /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/tests/testall.rb 0644L /usr/bin/env
rubygem-text-format.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/left_align%3f-i.yaml %3f
2 packages and 1 specfiles checked; 4 errors, 15 warnings.
------------------------------------------------------

Comment 2 Mo Morsi 2011-02-01 23:39:14 UTC
Thanks alot for the review. Updated the rpm based on feedback:

Spec URL: http://mo.morsi.org/files/rpms/rubygem-text-format.spec
SRPM URL: http://mo.morsi.org/files/rpms/rubygem-text-format-1.0.0-2.fc14.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2755537

If your taking this official review, please change the status of the bug to
'assigned', assign it to yourself, and change the 'fedora-review' flag to '?'



(In reply to comment #1)
> Some notes:
> 
> * License
> - Must be pick up one or set another by LICENSE file.
> 

Done

> * BuildRoot
> - On Fedora BuildRoot line is no longer needed:
> https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
> 

Done

> * %install
> - rm -rf %{buildroot} at the beginning of %install isn't needed and
> should be removed

Done

> - Gems have permission 664, need 'chmod 644'
> 

Please elaborate on this. Which files are wrong?

> * %check
> - Feel free run test suite in a %check section in the rpm
> 

Done. I decoupled this rpm from text-hyphen as it is not a runtime dependency and incase there are issues w/ text-hyphen. Thus I only run the test suite testing the main functionality of this gem, not the one testing it against text-hyphen or other external components.

> * %clean
> - %clean section is no longer needed (on Fedora):
> https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
> 

Done

> * %files
>  - Should use only the defined %geminstdir macro in %files.
> 

Done

> * documents / -doc subpackage
> - Please consider to split document files (which are not
> needed on runtime) to -doc subpackage.
> The following files/directories can be moved to -doc subpackage
> ------------------------------------------------------
> %{gemdir}/doc/%{gemname}-%{version}/
> %{geminstdir}/Changelog
> %{geminstdir}/tests/
> %{geminstdir}/Rakefile
> ------------------------------------------------------
> 

Since the original gem included these files, and there aren't too many of them, will leave them in the main package. The files are marked as %doc though

> * rpmbuild log:
> ------------------------------------------------------
> ...
> + /usr/lib/rpm/redhat/brp-python-hardlink
> + /usr/lib/rpm/redhat/brp-java-repack-jars
> warning: File listed
> twice: /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/Changelog
> warning: File listed
> twice: /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/Install
> warning: File listed
> twice: /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/README
> + umask 022
> + cd /home/pkg/rpmbuild/BUILD
> + rm
> -rf /home/pkg/rpmbuild/BUILDROOT/rubygem-text-format-1.0.0-1.fc14.x86_64
> + exit 0
> ------------------------------------------------------
> 

Fixed

> * rpmlint log:
> ------------------------------------------------------
> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Number/%5b%5d-i.yaml
> %5b
> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Number/%5b%5d-i.yaml
> %5d
> rubygem-text-format.noarch: E:
> zero-length /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/metaconfig
> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Alpha/%5b%5d-i.yaml
> %5b
> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Alpha/%5b%5d-i.yaml
> %5d

These can be ignored.

> rubygem-text-format.noarch: W:
> hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc
> rubygem-text-format.noarch: W:
> hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc

Not seeing these.

> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/right_align%3f-i.yaml
> %3f
> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Roman/%5b%5d-i.yaml
> %5b
> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/Roman/%5b%5d-i.yaml
> %5d
> rubygem-text-format.noarch: E:
> non-executable-script /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/Rakefile
> 0644L /usr/bin/env
> rubygem-text-format.noarch: E:
> wrong-script-end-of-line-encoding

Fixed

> /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/Rakefile
> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/%3d%3d-i.yaml %3d
> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/%3d%3d-i.yaml %3d
> rubygem-text-format.noarch: W:
> file-not-utf8 /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/README
> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/justify%3f-i.yaml
> %3f
> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/right_fill%3f-i.yaml
> %3f
> rubygem-text-format.noarch: E:
> non-executable-script
> /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/tests/testall.rb 0644L

Again not seeing some of these. Which rpmlint version are you using. I'm using 0.99, the stock version on F14.

> /usr/bin/env
> rubygem-text-format.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/left_align%3f-i.yaml
> %3f
> 2 packages and 1 specfiles checked; 4 errors, 15 warnings.
> ------------------------------------------------------

Appreciate the feedback.

Comment 3 Minnikhanov 2011-02-02 17:18:18 UTC
(In reply to comment #2)
> > %3f
> > rubygem-text-format.noarch: E:
> > non-executable-script
> > /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/tests/testall.rb 0644L
> 
> Again not seeing some of these. Which rpmlint version are you using. I'm using
> 0.99, the stock version on F14.
> 

[pkg@lhost ~]$ rpmlint -V
rpmlint version 1.0 Copyright (C) 1999-2007 Frederic Lepied, Mandriva
[pkg@lhost ~]$ uname -r
2.6.35.10-74.fc14.x86_64
[pkg@lhost ~]$ uname -a
Linux lhost.ldomain 2.6.35.10-74.fc14.x86_64 #1 SMP Thu Dec 23 16:04:50 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

Comment 4 Minnikhanov 2011-02-02 18:53:12 UTC
Looks good. May be approved with some notes.

(In reply to comment #2)
-------------------------------------------------------------------------------
> 
> > - Gems have permission 664, need 'chmod 644'
> > 
> 
> Please elaborate on this. Which files are wrong?
> 

I extract 'text-format-1.0.0.gem' from src.rpm at my box, it have
permission 664.

My box:
[pkg@lhost ~]$ rpmlint -V
rpmlint version 1.0 Copyright (C) 1999-2007 Frederic Lepied, Mandriva

[pkg@lhost ~]$ uname -r
2.6.35.10-74.fc14.x86_64

[pkg@lhost ~]$ uname -a
Linux lhost.ldomain 2.6.35.10-74.fc14.x86_64 #1 SMP Thu Dec 23 16:04:50 UTC
2010 x86_64 x86_64 x86_64 GNU/Linux

[pkg@lhost updt]$ rpmbuild --version
RPM version 4.8.1

-------------------------------------------------------------------------------
At my box 'rpmbuild' FAILED.
error log:
>>>
...
error: Installed (but unpackaged) file(s) found:
   /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc/checksums
   /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc/objects/Text/Format.dat
   /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc/objects/Text/Format/ABBREV.dat
   /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc/objects/Text/Format/Alpha.dat
   /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc/objects/Text/Format/Alpha/_5B_5D_i.dat
   /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc/objects/Text/Format/Alpha/initialize_i.dat
   /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc/objects/Text/Format/JUSTIFY.dat
   /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc/objects/Text/Format/LEFT_ALIGN.dat
   /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc/objects/Text/Format/NEWLINE.dat
...
<<<
-------------------------------------------------------------------------------

Comment 5 Minnikhanov 2011-02-02 19:11:48 UTC
Created attachment 476635 [details]
rpmlint log for rubygem-text-format.

At my box I add into %files
%doc %{geminstdir}/.yardoc

This is log of rpmlint srpm.

At my packages I removed this folder (.yardoc)

Minn.

Comment 6 Mo Morsi 2011-02-02 20:43:59 UTC
Alright to start off:

[mmorsi@localhost ~]$ rpmlint -V
rpmlint version 1.0 Copyright (C) 1999-2007 Frederic Lepied, Mandriva
[mmorsi@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.35.4-28.fc14.x86_64 #1 SMP Wed Sep 15 01:56:54 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
[mmorsi@localhost ~]$ rpmbuild --version
RPM version 4.8.1


Update SPEC:  http://mo.morsi.org/files/rpms/rubygem-text-format.spec
Updated SRPM: 
http://mo.morsi.org/files/rpms/rubygem-text-format-1.0.0-3.fc14.src.rpm
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2758277



> > 
> > > - Gems have permission 664, need 'chmod 644'
> > > 
> > 
> > Please elaborate on this. Which files are wrong?
> > 
> 
> I extract 'text-format-1.0.0.gem' from src.rpm at my box, it have
> permission 664.

Done. Thank you

> rubygem-text-format.noarch: W: file-not-utf8 /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/README

Fixed.

> At my box 'rpmbuild' FAILED.
> error log:
> >>>
> ...
> error: Installed (but unpackaged) file(s) found:
>    /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc/checksums
>   
> /usr/lib/ruby/gems/1.8/gems/text-format-1.0.0/.yardoc/objects/Text/Format.dat
>   
<snip>

The Koji build doesn't have any of these errors. Do you have gems installed on your system that you installed via 'gem' and not 'rpm' (perhaps an updated version of yard)


The rpmlint output when run against the RPMs built in Koji is as follows:

> $ rpmlint *.rpm
> rubygem-text-format.noarch: I: enchant-dictionary-not-found en_US
> rubygem-text-format.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/%3d%3d-i.yaml %3d
> rubygem-text-format.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/%3d%3d-i.yaml %3d
> rubygem-text-format.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/right_align%3f-i.yaml %3f
> rubygem-text-format.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/justify%3f-i.yaml %3f
> rubygem-text-format.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/right_fill%3f-i.yaml %3f
> rubygem-text-format.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-format-1.0.0/ri/Text/Format/left_align%3f-i.yaml %3f
> 2 packages and 0 specfiles checked; 0 errors, 6 warnings.


All of which can be ignored

Comment 7 Minnikhanov 2011-02-03 18:02:11 UTC
Looks good.

---------------------------------------------------------
    This package (rubygem-text-format) is APPROVED by
    minn
---------------------------------------------------------

Comment 8 Mo Morsi 2011-02-03 18:12:13 UTC
Thanks alot for the review

New Package SCM Request
=======================
Package Name: rubygem-text-format
Short Description: Text::Format formats fixed-width text nicely 
Owners: mmorsi
Branches: 
InitialCC:

Comment 9 Kevin Fenzi 2011-02-03 20:43:38 UTC
Git done (by process-git-requests).

Comment 10 Mo Morsi 2011-02-04 17:03:37 UTC
Pushed to rawhide. Closing.


Note You need to log in before you can comment on or make changes to this bug.